Individual Enrollment - Delete
Delete a device enrollment record.
DELETE https://your-dps.azure-devices-provisioning.net/enrollments/{id}?api-version=2021-06-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
id
|
path | True |
string |
Registration ID. |
|
api-version
|
query | True |
string |
The API version to use for the request. Supported versions include: 2021-06-01 |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| If-Match |
string |
The ETag of the enrollment record. |
Responses
| Name | Type | Description |
|---|---|---|
| 204 No Content |
Success |
|
| Other Status Codes |
Error response |
Definitions
ProvisioningServiceErrorDetails
Contains the properties of an error returned by the Azure IoT Hub Provisioning Service.
| Name | Type | Description |
|---|---|---|
| errorCode |
integer |
|
| info |
object |
|
| message |
string |
|
| timestampUtc |
string |
|
| trackingId |
string |